Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cdn.cdn_resources.rules.list(
resource_id=0,
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CDN.CDNResources.Rules.List(
context.TODO(),
0,
cdn.CDNResourceRuleListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cdn/resources/{resource_id}/rules \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/resources/{resource_id}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/cdn/resources/{resource_id}/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/cdn/resources/{resource_id}/rules")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/cdn/resources/{resource_id}/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 5,
"name": "My first rule",
"active": true,
"deleted": false,
"originGroup": null,
"rule": "/folder/images/*.png",
"ruleType": 0,
"weight": 1,
"originProtocol": "HTTPS",
"overrideOriginProtocol": "HTTPS",
"preset_applied": false,
"primary_rule": null
}
]Rules
Get rules list
GET
/
cdn
/
resources
/
{resource_id}
/
rules
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cdn.cdn_resources.rules.list(
resource_id=0,
)
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.CDN.CDNResources.Rules.List(
context.TODO(),
0,
cdn.CDNResourceRuleListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cdn/resources/{resource_id}/rules \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/resources/{resource_id}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/cdn/resources/{resource_id}/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/cdn/resources/{resource_id}/rules")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/cdn/resources/{resource_id}/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 5,
"name": "My first rule",
"active": true,
"deleted": false,
"originGroup": null,
"rule": "/folder/images/*.png",
"ruleType": 0,
"weight": 1,
"originProtocol": "HTTPS",
"overrideOriginProtocol": "HTTPS",
"preset_applied": false,
"primary_rule": null
}
]Authorizations
Query Parameters
Response
200 - application/json
Successful.
- Plain list · object[]
- Paginated list · object
Rule type.
Possible values:
- Type 0 - Regular expression. Must start with '^/' or '/'.
- Type 1 - Regular expression. Note that for this rule type we automatically add / to each rule pattern before your regular expression. This type is legacy, please use Type 0.
Required range:
0 <= x <= 1Example:
0
Protocol used by CDN servers to request content from an origin source.
Possible values:
- HTTPS - CDN servers connect to origin via HTTPS protocol.
- HTTP - CDN servers connect to origin via HTTP protocol.
- MATCH - Connection protocol is chosen automatically; in this case, content on origin source should be available for the CDN both through HTTP and HTTPS protocols.
Available options:
HTTPS, HTTP, MATCH Example:
"HTTPS"
Sets a protocol other than the one specified in the CDN resource settings to connect to the origin.
Possible values:
- HTTPS - CDN servers connect to origin via HTTPS protocol.
- HTTP - CDN servers connect to origin via HTTP protocol.
- MATCH - Connection protocol is chosen automatically; in this case, content on origin source should be available for the CDN both through HTTP and HTTPS protocols.
- null -
originProtocolsetting is inherited from the CDN resource settings.
If an enabled origin among the origins this rule pulls from is bound to a Gcore Object Storage (s3_type is gcore), HTTPS is used regardless of this setting.
Available options:
HTTPS, HTTP, MATCH Was this page helpful?